package com.ss.android.ugc.aweme.friends.model;

import X.2GM;
import X.CqM;
import X.M12;
import com.bytedance.covode.number.Covode;

public final class SyncContactStatusEvent implements 2GM {
    public final String enterFrom;
    public final boolean isSuccess;
    public final boolean lastValue;

    static {
        Covode.recordClassIndex(81237);
    }

    public final 2GM post() {
        CqM.LIZ(this);
        return this;
    }

    public final 2GM postSticky() {
        CqM.LIZIZ(this);
        return this;
    }

    public SyncContactStatusEvent(String str, boolean z, boolean z2) {
        M12.LIZ(str);
        this.enterFrom = str;
        this.isSuccess = z;
        this.lastValue = z2;
    }
}
